CREATE TABLE `tsep_log` (
  `idlog` int(10) unsigned NOT NULL auto_increment,
  `typeoflog` int(10) unsigned NOT NULL default '0',
  `logstring` varchar(255) NOT NULL default '',
  `timeofentry` varchar(15) default NULL,
  `ip` varchar(15) default NULL,
  PRIMARY KEY  (`idlog`)
) TYPE=MyISAM AUTO_INCREMENT=153 ;

CREATE TABLE `tsep_search` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `page_number` int(4) default NULL,
  `page_title` varchar(200) default NULL,
  `page_url` varchar(200) default NULL,
  `page_file_size` varchar(10) default NULL,
  `indexed_words` text,
  PRIMARY KEY  (`id`),
  KEY `tsep_search_index1602` (`indexed_words`(255))
) TYPE=MyISAM AUTO_INCREMENT=8 ;

CREATE TABLE `tsep_stopwords` (
  `idstopwords` int(10) unsigned NOT NULL auto_increment,
  `stopword` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`idstopwords`),
  UNIQUE KEY `tsep_stopwords_stopword` (`stopword`)
) TYPE=MyISAM AUTO_INCREMENT=3 ;

CREATE TABLE `tsep_config` (
  `idconfig` int(10) unsigned NOT NULL auto_increment,
  `formfieldname` varchar(50) NOT NULL default '',
  `formfieldvalue` varchar(255) default NULL,
  `formfielddescription` varchar(255) NOT NULL default '',
  `formfieldhelp` varchar(255) default NULL,
  PRIMARY KEY  (`idconfig`),
  UNIQUE KEY `tsep_config_index1380` (`formfieldname`)
) TYPE=MyISAM AUTO_INCREMENT=5 ;

CREATE TABLE `tsep_internal` (
  `idinternal` int(10) unsigned NOT NULL auto_increment,
  `description` varchar(250) NOT NULL default '',
  `stringvalue` varchar(250) default NULL,
  `numericvalue` float default NULL,
  PRIMARY KEY  (`idinternal`),
  UNIQUE KEY `tsep_internal_combi` (`description`,`numericvalue`),
  UNIQUE KEY `tsep_internal_combi2` (`description`,`stringvalue`)
) TYPE=MyISAM AUTO_INCREMENT=40 ;