<?php
/**
* View the logged data
*
* @tables tsep_log
* @author Olaf Noehring
* @lastedited Olaf Noehring
*/
	/* 
	This is released under the terms of the GPL ! 
	Last modified by Olaf Noehring, http://www.team-noehring.de
	*/ 
	require("../include/DBConnectionData.php"); // database connection data	
	require('../include/config.php'); //general config data
	// read language strings
	require("../language/en/language.php"); //always read english language as some (new) strings might not have been translated
	require("../language/".$tsep_config['config_Language']."/language.php"); //code recycle: get language strings from fitting language.php	
?>
<?php require_once('../include/mmexfunctions.php'); // mm functions which were placed in every file?>
<?php require_once ('../include/datefunctions.php'); // to read and write las index edit date ?>
<?php require_once ('../include/rststatistics.php'); // show statistics ?>
<?php require_once ('../include/rstnavigation.php'); // show statistics ?>
<?php


$pageNum_completeindex = 0;
if (isset($_GET['pageNum_completeindex'])) {
  $pageNum_completeindex = $_GET['pageNum_completeindex'];
}
$startRow_completeindex = $pageNum_completeindex * $tsep_config['config_maxRows_logview'];
mysql_select_db($database_tsepdbconnection, $tsepdbconnection);


// === START ==== write / get search order and field from database ============================
if (isset($_GET['order']))	// for userdefined search order, otherwise sort by time of entry, newest first
{	// write new values
	$db_tablename = $db_table_prefix."internal";	
	 $query = "UPDATE $db_tablename SET stringvalue='".$_GET['order']."' WHERE description='tseplogorder'";
     $result = mysql_query($query, $tsepdbconnection) or die(mysql_error());
	 $query = "UPDATE $db_tablename SET stringvalue='".$_GET['dir']."' WHERE description='tseplogdirection'";
     $result = mysql_query($query, $tsepdbconnection) or die(mysql_error());
}
// read database values
mysql_select_db($database_tsepdbconnection, $tsepdbconnection);
$db_tablename = $db_table_prefix."internal";
$query_Recordset1 = "SELECT stringvalue FROM $db_tablename WHERE description = 'tseplogdirection'";
$Recordset1 = mysql_query($query_Recordset1, $tsepdbconnection) or die(mysql_error());
$row_Recordset1 = mysql_fetch_assoc($Recordset1);
$totalRows_Recordset1 = mysql_num_rows($Recordset1);
$dir=$row_Recordset1['stringvalue'];

$query_Recordset1 = "SELECT stringvalue FROM $db_tablename WHERE description = 'tseplogorder'";
$Recordset1 = mysql_query($query_Recordset1, $tsepdbconnection) or die(mysql_error());
$row_Recordset1 = mysql_fetch_assoc($Recordset1);
$totalRows_Recordset1 = mysql_num_rows($Recordset1);
$order=$row_Recordset1['stringvalue'];

$sortorder = $order." ".$dir;

// === END==== write / get search order and field from database ============================
$db_tablename = $db_table_prefix."log";
$query_completeindex = "SELECT * FROM $db_tablename ORDER BY $sortorder";
$query_limit_completeindex = sprintf("%s LIMIT %d, %d", $query_completeindex, $startRow_completeindex, $tsep_config['config_maxRows_logview']);
$completeindex = mysql_query($query_limit_completeindex, $tsepdbconnection) or die(mysql_error());
$row_completeindex = mysql_fetch_assoc($completeindex);

if (isset($_GET['totalRows_completeindex'])) {
  $totalRows_completeindex = $_GET['totalRows_completeindex'];
} else {
  $all_completeindex = mysql_query($query_completeindex);
  $totalRows_completeindex = mysql_num_rows($all_completeindex);
}
$totalPages_completeindex = ceil($totalRows_completeindex/$tsep_config['config_maxRows_logview'])-1;



?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo $tsep_lng['logview_title']; ?> - <?php echo $tsep_lng['tsep'];?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link href="../css/tsep.css" rel="stylesheet" type="text/css" />

</head>
<body> 
<div class="tsepProject"> 

	<?php		
	require ('../include/indexer_search_table.php'); //use code-recycling ?>

  <div class="logviewHeadline">
	  <?php echo $tsep_lng['logview_head']; ?>
	  <br />
	  <?php echo $tsep_lng['logview_help'];?>
  </div> 


  <div class="logviewOldBlock"> 
    
	<?php 
	//statistics start
	RSTStatistics ($startRow_completeindex,	$tsep_config['config_maxRows_logview'],	$totalRows_completeindex );
	//statistics end
	//navigation start	
	list (
		$queryString_completeindex, 
		$currentPage_completeindex, 
		$totalPages_completeindex, 
		$pageNum_completeindex)
		=
		RSTNavigation ("completeindex",
			$queryString_completeindex, 
			$currentPage_completeindex, 
			$totalPages_completeindex, 
			$pageNum_completeindex);
	//navigation end
	?>
	
    <div class="logviewBlockHeader">		
		<div class="logviewType">
			<?php echo $tsep_lng['logview_type'];
				$sortorderField = "typeoflog";
				putSortPicture("$sortorderField","ASC", $order, $dir);				
				putSortPicture("$sortorderField","DESC", $order, $dir);				
				?>			
		</div>
		<div class="logviewContents">
			<?php echo $tsep_lng['logview_contents'];
				$sortorderField = "logstring";
				putSortPicture("$sortorderField","ASC", $order, $dir);				
				putSortPicture("$sortorderField","DESC", $order, $dir);				
			?>			
		</div>
		<div class="logviewTime">
			<?php echo $tsep_lng['logview_time_of_entry']; 
				$sortorderField = "timeofentry";
				putSortPicture("$sortorderField","ASC", $order, $dir);				
				putSortPicture("$sortorderField","DESC", $order, $dir);				
			?>			
		</div>
		<div class="logviewIP">
			<?php echo $tsep_lng['logview_ip']; 
				$sortorderField = "INET_ATON(ip)";	// needs mysql >3.23. should be changed in future to match ansi SQL.. see http://dev.mysql.com/doc/mysql/en/Miscellaneous_functions.html
				putSortPicture("$sortorderField","ASC", $order, $dir);				
				putSortPicture("$sortorderField","DESC", $order, $dir);				
			?>						
		</div>		
	</div>
	<?php 
	do 
	{ 
		
		$whichType = $row_completeindex['typeoflog'];	// do this first
		if ($whichType == 2) // 2 is link		// make whole line a link (clickable) when it is a link
		{?>
			<a href="<?php echo $row_completeindex['logstring']; ?>" target="_blank" title="<?php echo $tsep_lng['new_window'];?>">			
			<?php
		}
		?>
		<div class="logviewBlock"<?php require('../include/colorswitch.php');?>>
			<div class="logviewType"><?php 
				//localize $row_completeindex['typeoflog'];
				$str = 'logview_type_$whichType';
				eval ("\$str = \"$str\";");
				echo $tsep_lng["$str"]. " (".$row_completeindex['typeoflog'].")";		  
				?>
			</div>		  			
			<div class="logviewContents">		
				<?php echo $row_completeindex['logstring']; ?>
			</div>
			<div class="logviewTime">		
				<?php
				if (!isset($tsep_config['config_Date_Style']))	// if nothing is set we set this as default
				{
					$tsep_config['config_Date_Style'] = "l, F d Y h:i a";
				}
				echo datum($tsep_config['config_Date_Style'],$row_completeindex['timeofentry']);
				?>
			</div>		
			<div class="logviewIP">		  
				<?php
				if ($row_completeindex['ip']=="0.0.0.0")	// we write 0.0.0.0 to the database when we do not log the ip address
				{
					$ip = $tsep_lng['logview_no_IP'];
				}
				else
				{
					$ip= $row_completeindex['ip']; 
				}
				echo $ip;
				?>
			</div>		
		</div>
		
		<?php
		if ($whichType ==2) // 2 is link
		{?>
			</a>			
		<?php
		}
	} while ($row_completeindex = mysql_fetch_assoc($completeindex)); 
	
	//statistics start
	RSTStatistics ($startRow_completeindex,	$tsep_config['config_maxRows_logview'],	$totalRows_completeindex );
	//statistics end
	//navigation start	
	list (
		$queryString_completeindex, 
		$currentPage_completeindex, 
		$totalPages_completeindex, 
		$pageNum_completeindex)
		=
		RSTNavigation ("completeindex",
			$queryString_completeindex, 
			$currentPage_completeindex, 
			$totalPages_completeindex, 
			$pageNum_completeindex);
	//navigation end
	?>  
  </div> 


<?php 
require ('../include/copyright.php'); // Olaf Noehring: Use code-recyling whereever possible			
?>

</div>
</body>
</html>
<?php
mysql_free_result($completeindex);
?>
<?php

/**
* just to use code recycling: This fct puts a picture with the sort option and column on the html page
*
* @param string $sortorder
* @param string $sortorderDirection
* @param string $dbOrder
* @param string $dbDirection
* @author Olaf Noehring
* @lastedited Olaf Noehring
*/
function putSortPicture($sortorder,$sortorderDirection,$dbOrder,$dbDirection)
{
	require("../include/config.php"); //general config data
	require("../language/en/language.php"); //always read english language as some (new) strings might not have been translated
	require("../language/".$tsep_config['config_Language']."/language.php"); //code recylce: get language strings from fitting language.php

	if ($sortorderDirection=="ASC")
	{
		$sortorderDirection="ASC";			
		$sortorderText="sort_asc";
		$sortorderALT="a-z";
		$sortorderIMG="../graphics/down.png";
	}

	if ($sortorderDirection=="DESC")
	{
		$sortorderDirection="DESC";
		$sortorderText="sort_desc";
		$sortorderALT="z-a";
		$sortorderIMG="../graphics/up.png";

	}


	if (($dbOrder==$sortorder) && ($dbDirection==$sortorderDirection))
	{ 
		$class="logviewActiveSort";		
	}
	else
	{
		$class="logviewPossibleSort";		
	}
	?>
	<a href="logview.php?order=<?php echo $sortorder."&amp;dir=".$sortorderDirection;?>" title="<?php echo $tsep_lng["$sortorderText"];?>"><img src="<?php echo $sortorderIMG;?>" alt="<?php echo $sortorderALT;?>" class="<?php echo $class;?>" width="10" height="12"></a> 
	
	<?php
}  // function putSortPicture END
?>