<?php
/**
* User defined stopwords are added, updated and deleted with this file. Stopwords will not be searched for and not be marked in the results
*
* @tables tsep_stopwords
* @author Olaf Noehring
* @lastedited Olaf Noehring
*/
	/* 
	This is released under the terms of the GPL ! 
	Last modified by Olaf Noehring, http://www.team-noehring.de
	*/ 
	require("../include/DBConnectionData.php"); // database connection data	
	require('../include/config.php'); //general config data
	// read language strings
	require("../language/en/language.php"); //always read english language as some (new) strings might not have been translated
	require("../language/".$tsep_config['config_Language']."/language.php"); //code recycle: get language strings from fitting language.php	
?>
<?php
$currentPage = $_SERVER["PHP_SELF"];
?>
<?php require_once('../include/mmexfunctions.php'); // mm functions which were placed in every file?>
<?php require_once ('../include/rststatistics.php'); // show statistics ?>
<?php require_once ('../include/rstnavigation.php'); // show statistics ?>
<?php


if ((isset($_POST["MM_update"])) && ($_POST["MM_update"] == "frmStopwords")) 
{
  $db_tablename = $db_table_prefix."stopwords";	

  $updateSQL = sprintf("UPDATE $db_tablename SET stopword=%s WHERE idstopwords=%s",
                       GetSQLValueString($_POST['stopword'], "text"),
                       GetSQLValueString($_POST['idstopwords'], "int"));

  mysql_select_db($database_tsepdbconnection, $tsepdbconnection);
  $Result1 = mysql_query($updateSQL, $tsepdbconnection) or die(mysql_error());

  $updateGoTo = "stopwords.php";
  if (isset($_SERVER['QUERY_STRING'])) {
    $updateGoTo .= (strpos($updateGoTo, '?')) ? "&" : "?";
    $updateGoTo .= $_SERVER['QUERY_STRING'];
  }
  header(sprintf("Location: %s", $updateGoTo));
}

if ((isset($_POST['idstopwords'])) && ($_POST['idstopwords'] != "") && (isset($_POST['delete']))) 
{
  $db_tablename = $db_table_prefix."stopwords";		
  $deleteSQL = sprintf("DELETE FROM $db_tablename WHERE idstopwords=%s",
                       GetSQLValueString($_POST['idstopwords'], "int"));

  mysql_select_db($database_tsepdbconnection, $tsepdbconnection);
  $Result1 = mysql_query($deleteSQL, $tsepdbconnection) or die(mysql_error());

  $deleteGoTo = "stopwords.php";
  if (isset($_SERVER['QUERY_STRING'])) {
    $deleteGoTo .= (strpos($deleteGoTo, '?')) ? "&" : "?";
    $deleteGoTo .= $_SERVER['QUERY_STRING'];
  }
  header(sprintf("Location: %s", $deleteGoTo));
}

if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "frmStopwordsNew")) {
  $db_tablename = $db_table_prefix."stopwords";		
  $insertSQL = sprintf("INSERT INTO $db_tablename (stopword) VALUES (%s)",
                       GetSQLValueString($_POST['stopword'], "text"));

  mysql_select_db($database_tsepdbconnection, $tsepdbconnection);
  $Result1 = mysql_query($insertSQL, $tsepdbconnection) or die(mysql_error());

  $insertGoTo = "stopwords.php";
  if (isset($_SERVER['QUERY_STRING'])) {
    $insertGoTo .= (strpos($insertGoTo, '?')) ? "&" : "?";
    $insertGoTo .= $_SERVER['QUERY_STRING'];
  }
  header(sprintf("Location: %s", $insertGoTo));
}

/* where does this code comes from ? - is double !
$pageNum_stopwords = 0;
if (isset($_GET['pageNum_stopwords'])) {
  $pageNum_stopwords = $_GET['pageNum_stopwords'];
}
$startRow_stopwords = $pageNum_stopwords * $tsep_config['config_maxRows_Stopwords'];
*/

//$tsep_config['config_maxRows_Stopwords'] = 10;
$pageNum_stopwords = 0;
if (isset($_GET['pageNum_stopwords'])) {
  $pageNum_stopwords = $_GET['pageNum_stopwords'];
}
$startRow_stopwords = $pageNum_stopwords * $tsep_config['config_maxRows_Stopwords'];

mysql_select_db($database_tsepdbconnection, $tsepdbconnection);
$db_tablename = $db_table_prefix."stopwords";	
$query_stopwords = "SELECT * FROM $db_tablename ORDER BY stopword ASC";
$query_limit_stopwords = sprintf("%s LIMIT %d, %d", $query_stopwords, $startRow_stopwords, $tsep_config['config_maxRows_Stopwords']);
$stopwords = mysql_query($query_limit_stopwords, $tsepdbconnection) or die(mysql_error());
$row_stopwords = mysql_fetch_assoc($stopwords);

if (isset($_GET['totalRows_stopwords'])) {
  $totalRows_stopwords = $_GET['totalRows_stopwords'];
} else {
  $all_stopwords = mysql_query($query_stopwords);
  $totalRows_stopwords = mysql_num_rows($all_stopwords);
}
$totalPages_stopwords = ceil($totalRows_stopwords/$tsep_config['config_maxRows_Stopwords'])-1;

$queryString_stopwords = "";
if (!empty($_SERVER['QUERY_STRING'])) {
  $params = explode("&", $_SERVER['QUERY_STRING']);
  $newParams = array();
  foreach ($params as $param) {
    if (stristr($param, "pageNum_stopwords") == false && 
        stristr($param, "totalRows_stopwords") == false) {
      array_push($newParams, $param);
    }
  }
  if (count($newParams) != 0) {
    $queryString_stopwords = "&" . htmlentities(implode("&", $newParams));
  }
}
$queryString_stopwords = sprintf("&totalRows_stopwords=%d%s", $totalRows_stopwords, $queryString_stopwords);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo $tsep_lng['stopwords_title']; ?> - <?php echo $tsep_lng['tsep'];?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link href="../css/tsep.css" rel="stylesheet" type="text/css" />
<script language="JavaScript" type="text/JavaScript">
<!--
function GP_popupConfirmMsg(msg) { //v1.0
  document.MM_returnValue = confirm(msg);
}
//-->
</script>
</head>
<body> 
<div class="tsepProject"> 

	<?php		
	require ('../include/indexer_search_table.php'); //use code-recycling ?>

  <div class="stopwordsHeadline"><?php echo $tsep_lng['your_stopwords_head'] ?></div> 
  <div class="stopwordsNewBlock">
        <form name="frmStopwordsNew" id="frmStopwordsNew" method="POST" action="<?php echo $_SERVER["PHP_SELF"]; ?>"> 
        <input name="stopword" type="text" class="stopwordsFieldWord" id="stopword" />
        <input name="add" type="submit" id="add" value="<?php echo $tsep_lng['add']; ?>" />    
          <input type="hidden" name="MM_insert" value="frmStopwordsNew" /> 
          <?php echo $tsep_lng['only_one_word'] ?>
        </form> 
  </div>
  <div class="stopwordsOldBlock"> 
<?php 
//statistics start
RSTStatistics ($startRow_stopwords,	$tsep_config['config_maxRows_Stopwords'],	$totalRows_stopwords );
//statistics end
//navigation start	
list (
	$queryString_stopwords, 
	$currentPage_stopwords, 
	$totalPages_stopwords, 
	$pageNum_stopwords)
	=
	RSTNavigation ("stopwords",
		$queryString_stopwords, 
		$currentPage_stopwords, 
		$totalPages_stopwords, 
		$pageNum_stopwords);
//navigation end
?>
<?php do { ?>
    <div class="stopwordsBlock"<?php require('../include/colorswitch.php');?>>
      <form name="frmStopwords" class="stopwordsBlockForm" id="frmStopwords" method="POST" action="<?php echo $_SERVER["PHP_SELF"]; ?>">
        <input name="stopword" type="text" class="stopwordsFieldWord" id="stopword" value="<?php echo $row_stopwords['stopword']; ?>" />
        <input name="update" type="submit" id="update" value="<?php echo $tsep_lng['update']; ?>" />
        <input name="delete" type="submit" id="delete" onclick="GP_popupConfirmMsg('<?php echo $tsep_lng['help_del_stopword']; ?>');return document.MM_returnValue" value="<?php echo $tsep_lng['delete']; ?>" />
        <input name="idstopwords" type="hidden" id="idstopwords" value="<?php echo $row_stopwords['idstopwords']; ?>" />
        <input type="hidden" name="MM_update" value="frmStopwords">
      </form>
    </div>
    <?php } while ($row_stopwords = mysql_fetch_assoc($stopwords)); ?>
<?php 
//statistics start
RSTStatistics ($startRow_stopwords,	$tsep_config['config_maxRows_Stopwords'],	$totalRows_stopwords);
//statistics end
//navigation start	
list (
	$queryString_stopwords, 
	$currentPage_stopwords, 
	$totalPages_stopwords, 
	$pageNum_stopwords)
	=
	RSTNavigation ("stopwords",
		$queryString_stopwords, 
		$currentPage_stopwords, 
		$totalPages_stopwords, 
		$pageNum_stopwords);
//navigation end
?>
  </div> 


<?php 
require ('../include/copyright.php'); // Olaf Noehring: Use code-recyling whereever possible			
?> 

</div>
</body>
</html>
<?php
mysql_free_result($stopwords);
?>
