<?php
/**
* This is for editing (add, update, delete) everything from single words of an index to complete index entries (whole pages). 
*
* @tables tsep_search
* @author Olaf Noehring
* @lastedited Olaf Noehring
*/
	/* 
	This is released under the terms of the GPL ! 
	Last modified by Olaf Noehring, http://www.team-noehring.de
	*/ 
	require("../include/DBConnectionData.php"); // database connection data	
	require('../include/config.php'); //general config data
	// read language strings
	require("../language/en/language.php"); //always read english language as some (new) strings might not have been translated
	require("../language/".$tsep_config['config_Language']."/language.php"); //code recycle: get language strings from fitting language.php	
?>
<?php require_once('../include/mmexfunctions.php'); // mm functions which were placed in every file?>
<?php require_once ('../include/datefunctions.php'); // to read and write las index edit date ?>
<?php require_once ('../include/rststatistics.php'); // show statistics ?>
<?php require_once ('../include/rstnavigation.php'); // show statistics ?>
<?php

if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "frmIndexEditNew")) 
{
  $db_tablename = $db_table_prefix."search";	
  $insertSQL = sprintf("INSERT INTO $db_tablename (page_number, page_title, page_url, page_file_size, indexed_words) VALUES (%s, %s, %s, %s, %s)",
                       GetSQLValueString($_POST['page_number'], "int"),
                       GetSQLValueString($_POST['page_title'], "text"),
                       GetSQLValueString($_POST['page_url'], "text"),
                       GetSQLValueString($_POST['page_file_size'], "text"),
                       GetSQLValueString($_POST['indexed_words'], "text"));

  mysql_select_db($database_tsepdbconnection, $tsepdbconnection);
  $Result1 = mysql_query($insertSQL, $tsepdbconnection) or die(mysql_error());
}

if ((isset($_POST["MM_update"])) && ($_POST["MM_update"] == "frmIndexEdit")) 
{
  $db_tablename = $db_table_prefix."search";	
  $updateSQL = sprintf("UPDATE $db_tablename SET page_number=%s, page_title=%s, page_url=%s, page_file_size=%s, indexed_words=%s WHERE id=%s",
                       GetSQLValueString($_POST['page_number'], "int"),
                       GetSQLValueString($_POST['page_title'], "text"),
                       GetSQLValueString($_POST['page_url'], "text"),
                       GetSQLValueString($_POST['page_file_size'], "text"),
                       GetSQLValueString($_POST['indexed_words'], "text"),
                       GetSQLValueString($_POST['id'], "int"));

  mysql_select_db($database_tsepdbconnection, $tsepdbconnection);
  $Result1 = mysql_query($updateSQL, $tsepdbconnection) or die(mysql_error());
}

if ((isset($_POST['id'])) && ($_POST['id'] != "") && (isset($_POST['delete']))) 
{
  $db_tablename = $db_table_prefix."search";
  $deleteSQL = sprintf("DELETE FROM $db_tablename WHERE id=%s",
                       GetSQLValueString($_POST['id'], "int"));

  mysql_select_db($database_tsepdbconnection, $tsepdbconnection);
  $Result1 = mysql_query($deleteSQL, $tsepdbconnection) or die(mysql_error());
}


$pageNum_completeindex = 0;
if (isset($_GET['pageNum_completeindex'])) {
  $pageNum_completeindex = $_GET['pageNum_completeindex'];
}
else
{
  $pageNum_completeindex = $_REQUEST["pageNum_completeindex"];		// get value from delete / add or update form buttons	
}

$startRow_completeindex = $pageNum_completeindex * $tsep_config['config_maxRows_completeindex'];

mysql_select_db($database_tsepdbconnection, $tsepdbconnection);

// set the SQL WHERE condition to show either all or only the detail record
$cond="";
if (isset($_GET['detail']))
{
	$id=$_GET['detail'];
	$cond="WHERE id=$id";
}
elseif (isset($_REQUEST['detail']))	//if the user opens this page from the indexoverview we show only the record he whishes
{
	$id=$_REQUEST['detail'];
	$cond="WHERE id=$id";	
}
$condition=$cond;

  $db_tablename = $db_table_prefix."search";
$query_completeindex = "SELECT * FROM $db_tablename $condition ORDER BY id ASC";
$query_limit_completeindex = sprintf("%s LIMIT %d, %d", $query_completeindex, $startRow_completeindex, $tsep_config['config_maxRows_completeindex']);
$completeindex = mysql_query($query_limit_completeindex, $tsepdbconnection) or die(mysql_error());
$row_completeindex = mysql_fetch_assoc($completeindex);

if (isset($_GET['totalRows_completeindex'])) 
{
	$totalRows_completeindex = $_GET['totalRows_completeindex'];
} 
else 
{
	$all_completeindex = mysql_query($query_completeindex);
	$totalRows_completeindex = mysql_num_rows($all_completeindex);
}
$totalPages_completeindex = ceil($totalRows_completeindex/$tsep_config['config_maxRows_completeindex'])-1;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo $tsep_lng['index_edit_title']; ?> - <?php echo $tsep_lng['tsep'];?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link href="../css/tsep.css" rel="stylesheet" type="text/css" />
<script language="JavaScript" type="text/JavaScript">
<!--
function GP_popupConfirmMsg(msg) { //v1.0
  document.MM_returnValue = confirm(msg);
}
//-->
</script>
</head>
<body> 
<div class="tsepProject"> 
	<?php		
	require ('../include/indexer_search_table.php'); //use code-recycling ?>
  <div class="indexeditHeadline"><?php echo $tsep_lng['index_edit_head']; ?></div> 
  <?php require('../include/indexstatus.php');	// output indexing status ?>
	<?php 
	if ($cond=="")	//show the block for a new entry only if we see all records (not filtered)
	{ ?>
		<div class="indexeditNewBlock">
			<form action="<?php echo $_SERVER["PHP_SELF"]; ?>" name="frmIndexEditNew" id="frmIndexEditNew" method="POST"> 
				<p>
					<label for="page_number"><?php echo $tsep_lng['page_number'];?></label>
					<br />
					<input name="page_number" type="text" class="formfieldvalueSmall" id="page_number" />
					<br />
					<label for="page_title"><?php echo $tsep_lng['page_title'];?><br />
					</label>
					<input name="page_title" type="text" class="formfieldvalueSmall" id="page_title" />
					<br />
					<label for="page_url"><?php echo $tsep_lng['page_url']; ?><br />
					</label>
					<input name="page_url" type="text" class="formfieldvalueSmall" id="page_url" />
					<br />
					<label for="page_file_size"><?php echo $tsep_lng['page_file_size'] ?><br />
					</label>
					<input name="page_file_size" type="text" class="formfieldvalueSmall" id="page_file_size" />
					<br />
					<label for="indexed_words"><?php echo $tsep_lng['page_indexed_words']; ?></label>
					<br />
					<textarea name="indexed_words" class="formfieldvalue" id="indexed_words"></textarea>
				</p>
				<p>
					<input name="add" type="submit" id="add" value="<?php echo $tsep_lng['add']; ?>">
				</p>
				<input type="hidden" name="MM_insert" value="frmIndexEditNew">
				<input type="hidden" name="pageNum_completeindex" value="<?php echo $pageNum_completeindex; ?>">
			</form> 
		</div>
		<?php
	} ?>  
  <div class="indexeditOldBlock"> 
	  
	<?php 

	$showBackLink=false; // by default no back link to the indexoverview page	
	if ($totalRows_completeindex>0)
	{
		if ($cond=="")	//show the block for a new entry only if we see all records (not filtered)
		{ 
			//statistics start
			RSTStatistics ($startRow_completeindex,	$tsep_config['config_maxRows_completeindex'],	$totalRows_completeindex );
			//statistics end
			//navigation start	
			list (
				$queryString_completeindex, 
				$currentPage_completeindex, 
				$totalPages_completeindex, 
				$pageNum_completeindex)
				=
				RSTNavigation ("completeindex",
					$queryString_completeindex, 
					$currentPage_completeindex, 
					$totalPages_completeindex, 
					$pageNum_completeindex);
			//navigation end		
		}	
		do 
		{ ?>
			<div class="indexeditBlock"<?php require('../include/colorswitch.php');?>>
			  <form action="<?php echo $_SERVER["PHP_SELF"]; ?>" name="frmIndexEdit" id="frmIndexEdit" method="POST">
				<p>
				  <label for="page_number"><?php echo $tsep_lng['page_number'];?></label>
				  <br />
				  <input name="page_number" type="text" class="formfieldvalueSmall" id="page_number" value="<?php echo $row_completeindex['page_number']; ?>" />
				  <br />
				  <label for="page_title"><?php echo $tsep_lng['page_title'];?><br />
				  </label>
				  <input name="page_title" type="text" class="formfieldvalueSmall" id="page_title" value="<?php echo $row_completeindex['page_title']; ?>" />
				  <br />
				  <label for="page_url"><?php echo $tsep_lng['page_url']; ?><br />
				  </label>
				  <input name="page_url" type="text" class="formfieldvalueSmall" id="page_url" value="<?php echo $row_completeindex['page_url']; ?>" />
				  <br />
				  <label for="page_file_size"><?php echo $tsep_lng['page_file_size'] ?><br />
				  </label>
				  <input name="page_file_size" type="text" class="formfieldvalueSmall" id="page_file_size" value="<?php echo $row_completeindex['page_file_size']; ?>" />
				  <br />
				  <label for="indexed_words"><?php echo $tsep_lng['page_indexed_words']; ?></label><br />
				  <textarea name="indexed_words" class="formfieldvalue" id="indexed_words"><?php echo $row_completeindex['indexed_words']; ?></textarea>
				</p>
				<p>
				  <input name="update" type="submit" id="update" value="<?php echo $tsep_lng['update']; ?>">
				  <input name="delete" type="submit" id="delete" onClick="GP_popupConfirmMsg('<?php echo $tsep_lng['help_del_indexedpage']; ?>');return document.MM_returnValue" value="<?php echo $tsep_lng['delete']; ?>">
				  <input name="id" type="hidden" id="id" value="<?php echo $row_completeindex['id']; ?>">
					<input type="hidden" name="pageNum_completeindex" value="<?php echo $pageNum_completeindex; ?>">		  
				  <input type="hidden" name="MM_update" value="frmIndexEdit">

				  <?php				  
//				  
				  if ($cond<>"")	// if the value is a detail (from the overview) if the user deletes / updates this we want to return to the page without showing the new and all the other values
				  { ?>
				  	<input type="hidden" name="detail" value="<?php echo $id;?>">
				  	<?php
				  } ?>
				</p>		
			  </form>
			</div>
			<?php 
		} while ($row_completeindex = mysql_fetch_assoc($completeindex)); 
		if ($cond=="")	//show the block for a new entry only if we see all records (not filtered)
		{ 
			//statistics start
			RSTStatistics ($startRow_completeindex,	$tsep_config['config_maxRows_completeindex'],	$totalRows_completeindex );
			//statistics end
			//navigation start	
			list (
				$queryString_completeindex, 
				$currentPage_completeindex, 
				$totalPages_completeindex, 
				$pageNum_completeindex)
				=
				RSTNavigation ("completeindex",
					$queryString_completeindex, 
					$currentPage_completeindex, 
					$totalPages_completeindex, 
					$pageNum_completeindex);
			//navigation end		
		}	
		else
		{ 
			$showBackLink=true;
		}
	}
	else
	{
		$showBackLink=true;
		echo $tsep_lng['no_records']."<br />";
	}
	
	if ($showBackLink==true) 
	{		
		?>				
		<a href="indexoverview.php"><?php echo $tsep_lng['index_overview_title']; ?></a>	
		<?php
	}
	?>
	</div> 


<?php 
require ('../include/copyright.php'); // Olaf Noehring: Use code-recyling whereever possible			
?> 
</div>
</body>
</html>
<?php
mysql_free_result($completeindex);
?>
