INSERT INTO `tsep_config` (`idconfig`, `formfieldname`, `formfieldvalue`, `formfielddescription`, `formfieldhelp`) VALUES (1, 'XdirName', '../../../', 'Enter the actual directory path*:', 'This is the relative path to the folder to be indexed with respect to your indexer php file. Example: ./folder1/folder2 if folder2 contents are to be indexed. Another example: You want to index http://www.yourdomain.com and your indexer.php is located in');
INSERT INTO `tsep_config` (`idconfig`, `formfieldname`, `formfieldvalue`, `formfielddescription`, `formfieldhelp`) VALUES (2, 'Xwebdir', 'http://www.yourdomain.com', 'Enter the web directory path*:', 'This is the web path that corresponds to the above given folder. e.g.: http://www.sitename.com/folder1/folder2. Do not include / at the end.');
INSERT INTO `tsep_config` (`idconfig`, `formfieldname`, `formfieldvalue`, `formfielddescription`, `formfieldhelp`) VALUES (3, 'dir_exclude', '/php,/error,/stuff,/not_public', 'Enter the directories to be excluded:', 'This is the relative path to the folder to be excluded with respect to your indexer.php file. e.g.: ./folder1/folder3, if folder3 contents (directories and files) are to be excluded. Add multiple entries by adding \',\' but not \', \'');
INSERT INTO `tsep_config` (`idconfig`, `formfieldname`, `formfieldvalue`, `formfielddescription`, `formfieldhelp`) VALUES (4, 'file_exclude', NULL, 'Enter the files to be excluded:', 'This is the relative path to the file to be excluded with respect to your indexer.php file. e.g.: ./folder1/folder4/login.php, if login.php to be excluded.');

INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (1, 'tsepdatabaseversion', 'nothing in here', '0.94');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (2, 'tsepindexeditdate', '1101991186', '0');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (3, 'tseplogorder', 'timeofentry', '0');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (4, 'tseplogdirection', 'DESC', '0');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (5, 'config_Path', 'php/tsepsearch', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (6, 'config_Language', 'en', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (7, 'config_Display_Boolean_Search', 'true', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (8, 'config_Pagerank', NULL, '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (9, 'config_Pagerank_Number', 'true', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (10, 'config_Hour_Difference', '0', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (11, 'config_Date_Style', 'l, d. F Y, G:i', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (12, 'config_Show_Record_Change', 'true', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (13, 'config_How_Many_Results', '10', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (14, 'config_Numbers_Put', 'true', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (15, 'config_Numbers_Put_Before', '(', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (16, 'config_Numbers_Put_After', '.)', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (17, 'config_maxRows_completeindex', '100', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (18, 'config_maxRows_indexoverview', '10', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (19, 'config_maxRows_Stopwords', '100', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (20, 'config_maxRows_logview', '100', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (21, 'config_Color_1', '#99CCFF', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (22, 'config_Color_2', '#CCCCCC', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (23, 'config_Logging', 'true', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (25, 'config_Logging_IP', 'true', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (26, 'config_Use_Debug_Print', 'true', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (27, 'config_Logging_result_links', 'true', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (28, 'config_Logging_search_term', 'true', '-1');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (30, 'possible_results', NULL, '20');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (31, 'possible_results', NULL, '30');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (32, 'possible_results', NULL, '50');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (35, 'possible_results', NULL, '100');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (36, 'possible_results', NULL, '10');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (38, 'possible_results', NULL, '5');
INSERT INTO `tsep_internal` (`idinternal`, `description`, `stringvalue`, `numericvalue`) VALUES (39, 'config_check_file_exists', 'true', '-1');